@import url("https://fonts.googleapis.com/css?family=Cabin+Sketch");

:root{
  --page-bg:#ffffff;
  --text:#111318;
  --muted:#6b7280;
  --maxw: 1280px;
}

*{ box-sizing:border-box; }
html, body{ height:100%; }

body{
  margin:0;
  min-height:100vh;
  background: var(--page-bg);
  color: var(--text);
  font-family: system-ui, -apple-system, Segoe UI, Roboto, Arial, sans-serif;
}

/* ===== Top bar ===== */
.topbar{
  position: fixed;
  top: 0; left: 0; right: 0;
  background: transparent;
  z-index: 10;
}

.topbar__inner{
  max-width: var(--maxw);
  margin: 0 auto;
  padding: 28px 32px;
  display:flex;
  align-items:center;
  justify-content:space-between;
  gap: 24px;
}

.brand{
  font-weight: 800;
  letter-spacing: .02em;
  text-transform: uppercase;
  font-size: 26px;
  line-height: 1;
}

.nav{
  display:flex;
  align-items:center;
  gap: 26px;
  flex-wrap: wrap;
  justify-content: flex-end;
}

.nav a{
  text-decoration:none;
  color: var(--muted);
  font-weight: 600;
  font-size: 12px;
  letter-spacing: .14em;
  text-transform: uppercase;
}
.nav a:hover{ color: var(--text); }

/* ===== Hero ===== */
.hero{
  min-height: 100vh;
  display:flex;
  align-items:center;
  justify-content:center;
  padding-top: 110px;
  /*background-color: #f7f4eb;*/
  background-color: #fffcee;;
}

.hero__inner{
  width: min(var(--maxw), calc(100% - 64px));
  display:flex;
  align-items:center;
  justify-content:space-between;
  gap: clamp(24px, 6vw, 96px);
}

.hero__left{
  flex: 0 0 auto;
  width: min(560px, 50vw);
  display:flex;
  align-items:flex-end;
  justify-content:center;
}

.hero__art{
  position: relative;
  width: 100%;
}

.hero__img{
  width: 100%;
  height: auto;
  display:block;
  object-fit: contain;
  filter: drop-shadow(0 22px 18px rgba(17,19,24,.10));
}

.hero__right{
  flex: 1 1 auto;
  display:flex;
  align-items:center;
  justify-content:center;
  padding-right: clamp(0px, 2vw, 24px);
}

h1{
  margin:0;
  font-family: 'Cabin Sketch', cursive; /* шрифт как в начале */
  font-weight: 400;
  font-size: clamp(34px, 4.2vw, 54px);
  line-height: 1.15;
  text-align: center;
  opacity: .95;
}


/* ===== Responsive ===== */
@media (max-width: 900px){
  .topbar__inner{ padding: 18px 18px; }
  .brand{ font-size: 22px; }
  .hero{ padding-top: 92px; }

  .hero__inner{
    width: calc(100% - 36px);
    flex-direction: column;
    gap: 18px;
  }

  .hero__left{ width: min(560px, 90vw); }
  .hero__right{ padding-right: 0; }

}

